Cambrionix connect
Developers
Hardware API

Organization Hubs

Run a typed hub action

POST

/hardware/v1/hubs/{serialNumber}/actions

Run one allowlisted action on a hub by serial number. Success returns the hub's result; a hub error returns the hub's HTTP status with a Connect error body.

Requires a bearer access token for this API. See Authentication.

Parameters

serialNumberstringpathrequired

Path parameter

Request body

any of

Option 1: object

Option 2: object

Option 3: object

Option 4: object

Option 5: object

Option 6: object

Option 7: object

Option 8: object

Option 9: object

Option 10: object

Option 11: object

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultany ofrequired

The hub's result. getPortSchedules returns the port schedules and getPowerLimits the power limits. enterAppleDfu and rebootAppleDevices return one outcome per port for allPorts, otherwise a boolean. Other actions return a boolean acknowledgement, or an empty object when the hub returns no body.

401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/hardware/v1/hubs/{serialNumber}/actions" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "getComputerDetails",
  "path": "string"
}'